org.apache.felix.scr.annotations

## Enum ConfigurationPolicy

- java.lang.Object
- - java.lang.Enum<ConfigurationPolicy>
  - - org.apache.felix.scr.annotations.ConfigurationPolicy

All Implemented Interfaces:
  Serializable, Comparable<ConfigurationPolicy>

Deprecated.
Use the OSGi annotations from org.osgi.service.component.annotations.*

    @Deprecated
    public enum ConfigurationPolicy
    extends Enum<ConfigurationPolicy>

Options for `Component.policy()` property.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`IGNORE` Deprecated. The configuration admin is not consulted for a configuration for this component.
`OPTIONAL` Deprecated. If a configuration is available it will be used, if not the component will be activated anyway (this is the default).
`REQUIRE` Deprecated. In order to activate this component a configuration is required.

### Method Summary

Methods
`static ConfigurationPolicy` `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
`static ConfigurationPolicy[]` `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OPTIONAL

    public static final ConfigurationPolicy OPTIONAL

Deprecated.
If a configuration is available it will be used, if not the component will be activated anyway (this is the default).

#### IGNORE

    public static final ConfigurationPolicy IGNORE

Deprecated.
The configuration admin is not consulted for a configuration for this component.

#### REQUIRE

    public static final ConfigurationPolicy REQUIRE

Deprecated.
In order to activate this component a configuration is required.

### Method Detail

#### values

    public static ConfigurationPolicy[] values()

Deprecated.
Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ConfigurationPolicy c : ConfigurationPolicy.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ConfigurationPolicy valueOf(String name)

Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null